#include <math.h>
#include <stdio.h>

double temlo (double altu, double c[]);
void sealat (double tyfr, double sudc, double rlat, double altu, double al[]);
void semian (double tyfr, double altu, double *alco);
double atanh(double x);

const double _avog   = 6.02217e+26;			// avogad is avogadros number in mks units
const double _rstar  = 8314.32;				// rstar is the universal gas-constant in mks units
const double _rgas   = 8.31432;				// rgas is the universal gas constant(joules/k mole)
const double _pi     = 3.1415926535897932;
const double _rad    = 1.7453292519943296e-2; // rad is pi/180
const double _fourpi = 12.566370614359173;	// fourpi is 4.0*pi
const double _twopi  = 6.2831853071795865;	// twopi is 2.0*pi
const double _piov2  = 1.5707963267948966;	// piov2 is pi/2.0
const double _piov4  = 0.78539816339744831;	// piov4 is pi/4.0
const double _cons25 = 0.35355339;			// cons25 = sin(pi/4)**3
const double _ra     = 6356.766;			// ra = polar earth radius (km)
const double _rt	 = 6378.155;			// rt = equatorial earth radius (km)
const double _ras    = 4.04084739788e+7;	// ras = ra**2  (km**2)
const double _al10   = 2.302585092994046;	// al10 is log(1.0)
const double _go     = 9.80665;				// Earth's gravity in mks at surface
const double _earth_rate = 7.2921158546819492e-5;// Earth's sidereal rotation speed (rad/s) = (1+1/TROPIC_YEAR)*2*_pi/86400

// the wm are the molecular weights in the order He, O2, N2, Ar, O and H
const double _wm[6] = {4.0026, 31.9988, 28.0134, 39.948, 15.9994, 1.00797};

// the amw are the molecular weights in the order N2, O2, O, Ar, He, and H
const double _amw[6] = {28.0134, 31.9988, 15.9994, 39.948,  4.0026, 1.00797};

